Subject: bug#30728: Modification for guix installation script.

From: Gábor Boskovits <[email-masked]>
Date: Tue, 27 Mar 2018 13:53:32 +0200

2018-03-26 11:11 GMT+02:00 Ricardo Wurmus <[email-masked]>:

>
> Hi Clément,
>
> > As I said to Chris (Cc'ed), I don't think it's a good idea to install
> > Guix in root's home directory.  Instead, we should probably honor the
> > USER and HOME environment variables, so that the command can be run as a
> > non-root user (with sudo) in a consistent way.  What do you think?
>
> The script should be run as root as it follows the manual’s
> instructions, which tell people to install Guix for the root user and
> then make it available system-wide.
>
> This is why I think that it would be correct to install it to the root’s
> home directory and not to the sudoing user’s HOME.
>
> Or am I missing something?
>
>
I think Ricardo is right on this one. I would also recommend installing in
root's home directory. Ibelieve, that installing in a user home would make
sense only with a big amount of additional instrumentation and
documentation changes, along with arrangements to allow guix in
userspace. This is a straightforward way to make the script do what it's
purpose is.

> --
> Ricardo
>
> GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
> https://elephly.net
>
>
>
>